Closed Bug 1856144 Opened 9 months ago Closed 9 months ago

Update PDF.js to new version 3ca63c68eacba4d5391872647cd2df4710a8d6a7 from 2023-09-29 16:06:55

Categories

(Firefox :: PDF Viewer, enhancement)

enhancement

Tracking

()

RESOLVED FIXED
120 Branch
Tracking Status
firefox120 --- fixed

People

(Reporter: update-bot, Assigned: calixte)

References

(Blocks 1 open bug)

Details

(Whiteboard: [3pl-filed][task_id: aiDVGGxPTm6NFq8tXJO6EQ])

Attachments

(1 file)

This update covers 6 commits. Here are the overall diff statistics, and then the commit information.


toolkit/components/pdfjs/content/build/pdf.js | 11 +++--
toolkit/components/pdfjs/content/build/pdf.scripting.js | 4 +-
toolkit/components/pdfjs/content/build/pdf.worker.js | 6 +-
toolkit/components/pdfjs/content/web/viewer-geckoview.js | 27 +++++++--------
toolkit/components/pdfjs/content/web/viewer.js | 27 +++++++--------
toolkit/components/pdfjs/moz.yaml | 4 +-
6 files changed, 37 insertions(+), 42 deletions(-)


b65b079cebd0f64868306b2299b44503409455ea by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/b65b079cebd0f64868306b2299b44503409455ea
Authored: 2023-09-29 16:19:02 +0200
Committed: 2023-09-29 16:19:11 +0200

[Editor] Make a deleted (when it was invisible) editor undoable

When the editor is invisible (because on a non-rendered page) its parent is null.
But when we undo its deletion, we need to have a parent to attach it.

Files Modified:

  • src/display/editor/annotation_editor_layer.js
  • test/integration/freetext_editor_spec.js

b8c118db227252f9feada0153a5b65b3288673d5 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/b8c118db227252f9feada0153a5b65b3288673d5
Authored: 2023-09-29 15:57:16 +0200
Committed: 2023-09-29 15:57:16 +0200

Remove the timeouts from the stampEditor integration tests

Files Modified:

  • test/integration/stamp_editor_spec.js

627249f889e3ed60b4a6c41626b5ce8ae577691e by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/627249f889e3ed60b4a6c41626b5ce8ae577691e
Authored: 2023-09-29 15:01:52 +0200
Committed: 2023-09-29 15:01:52 +0200

Remove the timeouts from the inkEditor integration tests

Files Modified:

  • test/integration/ink_editor_spec.js

55e5af2d01625847f9c1cd0e3d3f5d3c60dbbcf9 by Calixte Denizet

https://github.com/mozilla/pdf.js/commit/55e5af2d01625847f9c1cd0e3d3f5d3c60dbbcf9
Authored: 2023-09-27 22:35:57 +0200
Committed: 2023-09-29 11:14:21 +0200

[Editor] Remove almost all the waitForTimeout from the freetext integration tests

Files Modified:

  • test/integration/freetext_editor_spec.js
  • test/integration/scripting_spec.js
  • test/integration/test_utils.js

790b480bbc3c9f465556cc45a0af752c6c3643e5 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/790b480bbc3c9f465556cc45a0af752c6c3643e5
Authored: 2023-09-25 11:56:02 +0200
Committed: 2023-09-28 17:21:07 +0200

Update Puppeteer to the latest version

This also required updating the postinstall-step to account for recent changes in Puppeteer.

Files Modified:

  • package-lock.json
  • package.json

03ce3b2d54bf893c99e7dbaf713154a04c4d8402 by Jonas Jenwald

https://github.com/mozilla/pdf.js/commit/03ce3b2d54bf893c99e7dbaf713154a04c4d8402
Authored: 2023-09-25 10:56:12 +0200
Committed: 2023-09-28 17:20:23 +0200

Convert layerProperties to an Object (PR 15811 follow-up)

Given that this is accessed multiple times per page in the viewer, that leads to a number of (strictly speaking unneeded) function calls and allocated Objects for each invocation. By converting layerProperties to a, lazily initialized, Object we can avoid this.

Files Modified:

  • web/pdf_page_view.js
  • web/pdf_viewer.js

All the jobs in the try run succeeded. Like literally all of them, there weren't
even any intermittents. That is pretty surprising to me, so maybe you should double
check to make sure I didn't misinterpret things and that the correct tests ran...

Anyway, I've done all I can, so I'm passing to you to review and land the patch.
When reviewing, please note that this is external code, which needs a full and
careful inspection - not a rubberstamp.

Assignee: nobody → cdenizet
Pushed by cdenizet@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1838ce63463e
Update PDF.js to 3ca63c68eacba4d5391872647cd2df4710a8d6a7 r=pdfjs-reviewers,calixte
Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
Target Milestone: --- → 120 Branch
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Creator:
Created:
Updated:
Size: